	.data
	.globl	a
	.align	8
	.type	a, @object
	.size	a, 8
a:
	.quad	0xa

	.data
	.globl	b
	.align	8
	.type	b, @object
	.size	b, 8
b:
	.quad	0x14

	.text
	.globl	main
	.type	main, @function
main:
	push	%rbp
	mov	%rsp, %rbp
	push	%rbx
	push	%rsi
	push	%rdi
	sub	$0x0, %rsp
	mov	$a, %rax
	mov	0x0(%rax), %rax
	mov	%rax, b(%rip)
	mov	$.LC0, %rax
	mov	%rax, %rdi
	mov	a(%rip), %rax
	mov	%rax, %rsi
	mov	b(%rip), %rax
	mov	%rax, %rdx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
	mov	$0x1e, %rax
	mov	$a, %rdx
	mov	%rax, 0x0(%rdx)
	mov	$a, %rax
	mov	0x0(%rax), %rax
	mov	%rax, b(%rip)
	mov	$.LC1, %rax
	mov	%rax, %rdi
	mov	a(%rip), %rax
	mov	%rax, %rsi
	mov	b(%rip), %rax
	mov	%rax, %rdx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
	mov	$0x0, %rax
	mov	-0x8(%rbp), %rbx
	mov	-0x10(%rbp), %rsi
	mov	-0x18(%rbp), %rdi
	leave
	ret

	.data
.LC1:	.string	"%d %d\n"
.LC0:	.string	"%d %d\n"
